MTEXT via (command)

Hi everybody,

I don't know it this is only in my localised version of BricsCAD or it is the usual behavior in all languages: command "T" is a default shortcut for _MTEXT command. After I run "T", I click on the position of one corner of the text, the other corner of the text and then I start writing my text at the model space. Same works for using MTEXT and _MTEXT commands.

However, when I run the same command via LISP - (command "_MTEXT"), I again click at both corners of the text but then I write the text to the command line and not at the model space.

Is there any way to use a LISP command that will behave just like the first case?

Thanks

Comments

  • Owen Wengerd
    edited February 2023
    The (vle-edittextinplace [ename]) function may be used for this.
  • By default commands run from LISP will use the command line version. You can use INITDIA immediately prior to the call to your MTEXT command to force it to use the dialog version instead.

    e.g.
    (defun C:MT ()
     (initdia)
     (command "._MTEXT")
    )

    Regards,
    Jason Bourhill
    BricsCAD V23 Ultimate
    CAD Concepts